## dvd+rw-tools 5.18.4.8.6

=== Makefile ===
all:
	@(m4 -DOS=`uname -s` Makefile.m4 | $(MAKE) -f - dvd+rw-tools)
install:# BSD make doesn't support wild-card targets:-(
	@(m4 -DOS=`uname -s` Makefile.m4 | $(MAKE) -f - $@)
nothing:# dumb target
.%:	# don't mess with Solaris .INIT/.DONE, ...
%:	# ... but the rest just passes through
	@(m4 -DOS=`uname -s` Makefile.m4 | $(MAKE) -f - $@)

CHAIN=growisofs dvd+rw-format dvd+rw-booktype dvd+rw-mediainfo
clean:
	-(rm *.o $(CHAIN) rpl8; exit 0) < /dev/null > /dev/null 2>&1

VER=5.18.4.8.6
DIST=dvd+rw-tools-$(VER)

pkg:
	[ -h $(DIST) ] || ln -s . $(DIST)
	tar chf dvd+rw-tools-$(VER).tar		\
		--owner=bin --group=bin 	\
		$(DIST)/Makefile		\
		$(DIST)/Makefile.m4		\
		$(DIST)/dvd+rw-tools.spec	\
		$(DIST)/growisofs.1		\
		$(DIST)/transport.hxx		\
		$(DIST)/growisofs.c		\
		$(DIST)/growisofs_mmc.cpp	\
		$(DIST)/dvd+rw-format.cpp	\
		$(DIST)/dvd+rw-mediainfo.cpp	\
		$(DIST)/dvd+rw-booktype.cpp	\
		$(DIST)/rpl8.cpp		\
		$(DIST)/LICENSE
	if [ -f index.html ]; then		\
	    tar rhf dvd+rw-tools-$(VER).tar	\
		--owner=bin --group=bin		\
		$(DIST)/index.html;		\
	fi
	gzip -f dvd+rw-tools-$(VER).tar
	rm $(DIST)

## dvd+rw-tools 7.0

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,11 @@
 %:	# ... but the rest just passes through
 	@(m4 -DOS=`uname -s` Makefile.m4 | $(MAKE) -f - $@)
 
-CHAIN=growisofs dvd+rw-format dvd+rw-booktype dvd+rw-mediainfo
+CHAIN=growisofs dvd+rw-format dvd+rw-booktype dvd+rw-mediainfo dvd-ram-control
 clean:
-	-(rm *.o $(CHAIN) rpl8; exit 0) < /dev/null > /dev/null 2>&1
+	-(rm *.o $(CHAIN) rpl8 btcflash; exit 0) < /dev/null > /dev/null 2>&1
 
-VER=5.18.4.8.6
+VER=7.0
 DIST=dvd+rw-tools-$(VER)
 
 pkg:
@@ -23,12 +23,16 @@
 		$(DIST)/dvd+rw-tools.spec	\
 		$(DIST)/growisofs.1		\
 		$(DIST)/transport.hxx		\
+		$(DIST)/mp.h			\
+		$(DIST)/win32err.h		\
 		$(DIST)/growisofs.c		\
 		$(DIST)/growisofs_mmc.cpp	\
 		$(DIST)/dvd+rw-format.cpp	\
 		$(DIST)/dvd+rw-mediainfo.cpp	\
 		$(DIST)/dvd+rw-booktype.cpp	\
+		$(DIST)/dvd-ram-control.cpp	\
 		$(DIST)/rpl8.cpp		\
+		$(DIST)/btcflash.cpp		\
 		$(DIST)/LICENSE
 	if [ -f index.html ]; then		\
 	    tar rhf dvd+rw-tools-$(VER).tar	\

## dvd+rw-tools 7.1

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 CHAIN=growisofs dvd+rw-format dvd+rw-booktype dvd+rw-mediainfo dvd-ram-control
 clean:
-	-(rm *.o $(CHAIN) rpl8 btcflash; exit 0) < /dev/null > /dev/null 2>&1
+	-(rm *.o $(CHAIN) rpl8 btcflash panaflash; exit 0) < /dev/null > /dev/null 2>&1
 
-VER=7.0
+VER=7.1
 DIST=dvd+rw-tools-$(VER)
 
 pkg:
@@ -25,6 +25,9 @@
 		$(DIST)/transport.hxx		\
 		$(DIST)/mp.h			\
 		$(DIST)/win32err.h		\
+		$(DIST)/keys.txt		\
+		$(DIST)/genasctable.pl		\
+		$(DIST)/asctable.h		\
 		$(DIST)/growisofs.c		\
 		$(DIST)/growisofs_mmc.cpp	\
 		$(DIST)/dvd+rw-format.cpp	\

=== debian/changelog ===
dvd+rw-tools (7.1-12) unstable; urgency=medium

  [ Rogério Brito ]
  * Add list of files to ignore during the build.
  * debian/watch: Add watch file. Thanks Bart Martens.
  * debian/{control,growisofs.install}: Normalize with wrap-and-sort.
  * debian/{compat,control}: Bump debhelper compat to 9.
  * debian/patches:
    + Add patch to fix burning BD-R discs.
      Thanks to Thomas Schmitt <scdbackup@gmx.net> (Closes: #713016)
  * debian/source/options:
    + Remove outdated instructions to compress with bzip2.
  * debian/control:
    + Fix broken git URL.
    + Remove outdated flag DMUA.
    + Fix lintian's vcs-field-not-canonical complaint.
    + Don't use hardcoded list of kFreeBSD architectures.
      Thanks to Robert Millan <rmh@debian.org> (Closes: #634504)
    + Confirm compliancy with policy 3.9.6.
  * debian/rules:
    + Don't force outdated compression format (bzip2).
    + Use a smaller dh-style rules file (still not good). In particular,
      this now respects the hardening options passed via CFLAGS and
      siblings.
  * debian/copyright:
    + Convert to copyright format 1.0.
    + Claim my copyright years.

  [ TANIGUCHI Takaki ]
  * Update Vcs-* to salsa.debian.org
  * Bump Standards-Version to 4.1.3
  * Change priority extra to optional.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:25:54 +0900

dvd+rw-tools (7.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not specify bzip2 compressor to dh_builddeb
    (Closes: #833211)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 11 Nov 2016 15:11:36 +0000

dvd+rw-tools (7.1-11) unstable; urgency=medium

  * debian/patches/10-blue-ray-bug713016.patch:
    - apply patch from Thomas Schmitt to fix in session closing
      on blue ray (closes: #713016), LP: #1113679
  * added myself to uploaders

 -- Michael Vogt <mvo@debian.org>  Thu, 26 Feb 2015 11:22:11 -0500

dvd+rw-tools (7.1-10) unstable; urgency=low

  * Add patch to fix grammar in manpage. Closes: #607605.
    Thanks Jon McManus <jon@acss.net.au>.
  * Ignore pseudo-overwrite response from Bluray devices. Closes: #615978.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 07 Mar 2011 12:48:03 -0300

dvd+rw-tools (7.1-9) unstable; urgency=low

  * debian/control: add information that growisofs Breaks/Replaces older
    dvd+rw-tools, as files were moved to it. Closes: #602854.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 08 Nov 2010 20:46:38 -0200

dvd+rw-tools (7.1-8) unstable; urgency=low

  * The "Let's be leaner release"
  * janitorial tasks:
    + Wrap some fiels for VCS-friendliness
    + Drop sharutils from build-dependencies (with format 3.0, we can
      have binaries in the packaging).
    + Add list of files to additionally remove at the clean target
    + Use bzip2 compression at level 9 to make everything smaller.
  * Splitting the package, as per Josselin Mouette's request:
    + New growisofs package, with only growisofs and dvd+rw-format
    + Older dvd+rw-tools now depends on the growisofs package. This time
      really Closes: #565874.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 06 Nov 2010 19:29:48 -0200

dvd+rw-tools (7.1-7) unstable; urgency=low

  [ Rogério Brito ]
  * [decae9d] Drop genisoimage to recommends. Closes: #565874
  * [2f59000] This package complies to policy 3.8.4.
  * [0cedd75] Fix override disparity between package and ftpmasters'
    list.
  * [6f78f78] Initial version of manpage for dvd-ram-control, fixing a
    lintian warning.
  * [76d161f] Add (very) preliminary documentation to -use-the-force-
    luke options. Closes: #276701
  * [2e4186a] Preliminary registering with doc-base. Closes: #451688

  [ TANIGUCHI Takaki ]
  * [9a8ffbc] change section from utils to video
  * [08bebff] remove unneed Section:

  [ Rogério Brito ]
  * [a3bb0fb] Refresh the patches
  * [524f4d2] Update to source format "3.0 (quilt)"
  * [1fe998b] Confirm that the package conforms to Policy 3.9.1.
  * [b5d63c1] Fix lintian's doc-base-file-separator-extra-whitespaces.
  * [cca8441] Fix manpage errors for dvd-ram-control.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 24 Aug 2010 12:00:44 -0300

dvd+rw-tools (7.1-6) unstable; urgency=low

  * New maintainer (Closes: #543837)
  * debian/README.soruce: create 
  * debian/control: add Vcs-*.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 Nov 2009 10:28:47 +0900

dvd+rw-tools (7.1-5) unstable; urgency=low

  * Updating, sorting and wrapping depends.
  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:12:05 +0200

dvd+rw-tools (7.1-4) unstable; urgency=low

  * Correcting spelling mistake in rpl8 manpage, thanks to James
    Youngman <jay@gnu.org> (Closes: #474038).
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating rules to current state of the art.
  * Updating year in copyright file.
  * Using quilt rather than dpatch.
  * Prefixing debhelper files with package name.
  * Adding patch from Kees Cook <kees@debian.org> to fix wctomb called
    with too small a buffer, patch originally taken from fedora (Closes:
    #497833).

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2009 10:06:00 +0100

dvd+rw-tools (7.1-3) unstable; urgency=medium

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Jun 2008 16:31:00 +0200

dvd+rw-tools (7.1-2) unstable; urgency=medium

  * Reordering rules.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Removing watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Jun 2008 16:27:00 +0200

dvd+rw-tools (7.1-1) unstable; urgency=low

  * New upstream release:
    - Rediffed all patches.
    - Dropped 05-bacula.dpatch, went upstream.


=== debian/control ===
Source: dvd+rw-tools
Section: video
Priority: optional
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
 Rogério Brito <rbrito@ime.usp.br>,
 Michael Vogt <mvo@debian.org>
Build-Depends:
 debhelper (>= 9),
 libcam-dev [kfreebsd-any],
 m4
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/optical-media-tools-team/dvd-rw-tools
Vcs-Git: https://salsa.debian.org/optical-media-tools-team/dvd-rw-tools.git
Homepage: http://fy.chalmers.se/~appro/linux/DVD+RW/

Package: growisofs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 dvd+rw-tools (<< 7.1-9)
Replaces:
 dvd+rw-tools (<< 7.1-9)
Description: DVD+-RW/R recorder
 growisofs is a general purpose DVD recording program that supports:
 .
  * random-access media (DVD+RW, DVD-RAM, plain files, hard disk partitions)
  * mastering multisession DVD media (DVD+R, DVD-R/-RW, and Blu-ray Disc)
  * first-/single-session recording of arbitrary pre-mastered image
    (formatted as UDF, ISO9660 or any other file system, if formatted at
    all) to all supported DVD media types.
 .
 growisofs is able to either write pre-created ISO images or create them
 on-the-fly (by calling genisoimage).
 .
 This package also contains dvd+rw-format, a utility to format a DVD+RW media.

Package: dvd+rw-tools
Architecture: any
Depends:
 genisoimage,
 growisofs (>= 7.1-9),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cdrskin
Description: DVD+-RW/R tools
 The dvd+rw-tools suite makes it possible to burn DVD images created by
 dvdauthor or genisoimage to DVD+R, DVD+RW, DVD-R, and DVD-RW disks,
 replacing cdrecord-proDVD in many cases.
 .
 This package contains dvd+rw-mediainfo (to give details about DVD
 disks), and some programs to control the write speed and obtain
 information from DVD-RAM.
 .
 Additionally, it depends on the growisofs package to provide the main
 front-end for burning DVD-like media.

Package: dvd+rw-tools-dbg
Section: debug
Priority: optional
Architecture: any
Depends:
 dvd+rw-tools (= ${binary:Version}),
 ${misc:Depends}
Description: DVD+-RW/R tools (debug)
 dvd+rw-tools makes it possible to burn DVD images created by dvdauthor or
 genisoimage to DVD+R, DVD+RW, DVD-R, and DVD-RW disks, replacing
 cdrecord-proDVD in many cases.
 .
 This package contains the debugging symbols for the programs in the
 growisofs and dvd+rw-tools packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" $(MAKE) WARN=-DI_KNOW_ALL_ABOUT_SUDO
	CFLAGS="$(CFLAGS)" $(MAKE) +btcflash
	CFLAGS="$(CFLAGS)" $(MAKE) rpl8
	sed -n "/^%changelog$$/,$$ p" dvd+rw-tools.spec > ChangeLog
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --dbg-package=dvd+rw-tools-dbg

=== debian/watch ===
version=3
http://fy.chalmers.se/~appro/linux/DVD+RW/tools \
(?:|.*/)dvd\+rw-tools(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
